Bug 4973 - Support silent build rules with automake 1.11
: Support silent build rules with automake 1.11
Status: RESOLVED FIXED
Product: Email
General
: 5.0/(2.2009.51-1)
: All All
: Low enhancement (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: modest-bugs
:
: patch
:
:
  Show dependency tree
 
Reported: 2009-08-24 02:04 UTC by Javier Jardón
Modified: 2010-03-15 20:55 UTC (History)
3 users (show)

See Also:


Attachments
Support silent build rules with automake 1.11 (1.10 KB, patch)
2009-08-24 02:05 UTC, Javier Jardón
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Javier Jardón (reporter) 2009-08-24 02:04:44 UTC
Automake 1.11 supports Linux-kernel like silent build rules with easy ways to
switch to the more verbose output either at configure time:

  ./configure --disable-silent-rules

or at make time:

  make V=1

The attached patch enables silent build rules by default.
Comment 1 Javier Jardón (reporter) 2009-08-24 02:05:43 UTC
Created an attachment (id=1339) [details]
Support silent build rules with automake 1.11
Comment 2 Sergio Villar Senin 2009-11-03 18:57:44 UTC
Problem here is that Fremantle does not provide automake1.11
Comment 3 Javier Jardón (reporter) 2009-11-03 20:15:50 UTC
Hello Sergio,

note that the macro is compatible with earlier automake versions too.
The line just being ignored if you have automake < 1.11

See http://live.gnome.org/GnomeGoals/NicerBuilds for more info
Comment 4 Sergio Villar Senin 2009-11-04 12:45:43 UTC
Sure I know. I was just saying that it's a pity that we won't get any clear
advantage in Maemo builds. Anyway the patch seems interesting for the future.
Comment 5 Sergio Villar Senin 2009-11-04 12:51:53 UTC
Applied the patch

master 94aed3ada618ab98ff620997f77e3f337d2e0704

Thx a lot for the patch
Comment 6 Andre Klapper maemo.org 2010-03-15 20:55:52 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).